
/***********************************************************
  PEC Calculation, CRC-8, from MAX17823 datasheet, page 96
***********************************************************/
uint8_t calculatePEC(uint8_t byteList[29], uint8_t numberOfBytes)
{
  uint8_t CRCByte = 0;
  uint8_t POLY = 0xB2;

  for (int byteCounter = 0; byteCounter < numberOfBytes; byteCounter++)
  {
    CRCByte ^= byteList[byteCounter];

    for (int bitCounter = 0; bitCounter < 8; bitCounter++)
    {
      CRCByte = (CRCByte & 0x01) ? ((CRCByte >> 1) ^ POLY) : (CRCByte >> 1);
    }
  }

  return CRCByte;
}
