
/*********************************************************************
  Wait for null messages and then clear transmit and receive buffers
*********************************************************************/
void clearBuffers()
{
  // Wait for null message to be received
  uint32_t watchdogTimer = millis();
  uint8_t check = 0x01;
  while (check & 0x01) // If RX_Status[0] (RX_Empty_Status) is false, continue. If true, then repeat transaction until false.
  {
    digitalWrite(SPI_MAX_CS_PIN, LOW);
    SPI.transfer(0x01); // Read RX_Status register
    check = SPI.transfer(0x01); // Read RX_Status register
    digitalWrite(SPI_MAX_CS_PIN, HIGH);

    if ((millis() - watchdogTimer) > 20) // Watchdog timer of 10ms
    {
      Serial.println("clearBuffers WD timeout");
      break ;
    }
  }

  // Clear transmit buffer
  digitalWrite(SPI_MAX_CS_PIN, LOW);
  SPI.transfer(0x20); // Clear transmit buffer
  digitalWrite(SPI_MAX_CS_PIN, HIGH);

  // Clear receive buffer
  digitalWrite(SPI_MAX_CS_PIN, LOW);
  SPI.transfer(0xE0); // Clear receive buffer
  digitalWrite(SPI_MAX_CS_PIN, HIGH);

}
