
/***********************************************************************
  Calculates the highest cell of the battery pack, returns value in mV
***********************************************************************/
void FindHighLowCell()
{
  uint16_t voltageHighest = 0;
  uint16_t voltageLow = 50000;
  uint32_t total = 0;

  for (int m = 0; m < NumModulesFound; m++)
  {
    for (int c = 0; c < MAX_CELLS_PER_MODULE; c++)
    {

      total += cellVoltageNew[m][c];
      if (cellVoltageNew[m][c] > voltageHighest)
      {
        voltageHighest = cellVoltageNew[m][c];
        CellData.MaxVoltage.Voltage = voltageHighest;
        CellData.MaxVoltage.Module = m;
        CellData.MaxVoltage.CellNum = c;
      }
      if (CellsEnabled & (1 << c))
      {
        if (cellVoltageNew[m][c] < 100)         // cell must be missing if less then 100mV
        {
          CellsEnabled &= ~(1 << c);
          if (DebugStatus & DEBUG_ERRORS)
          {
            Serial.print("Cell lost:");
            Serial.print(" M: ");
            Serial.print(m, HEX);
            Serial.print(" C: ");
            Serial.print(c, HEX);
            Serial.print(" Msk: ");
            Serial.print(CellsEnabled, HEX);
          }
        }
        else if (cellVoltageNew[m][c] < voltageLow)
        {
          voltageLow = cellVoltageNew[m][c];
          CellData.MinVoltage.Voltage = voltageLow;
          CellData.MinVoltage.Module = m;
          CellData.MinVoltage.CellNum = c;
        }
      }
    }
  }
  CellData.TotalVoltage = total;
}
