
/*****************************************************************************************
  Calculates the highest cell temperature of the battery pack, returns value in degree C
*****************************************************************************************/
int8_t highTempCell()
{
  int8_t highestTemp = -128;

  for (int m = 0; m < NumModulesFound; m++)
  {
    for (int i = 0; i < SENSORS_PER_MODULE; i++)
    {
      if (cellBlockTemp[m][i] > highestTemp)
      {
        highestTemp = cellBlockTemp[m][i];
      }
    }
  }
  return highestTemp;
}


/****************************************************************************************
  Calculates the lowest cell temperature of the battery pack, returns value in degree C
****************************************************************************************/
int8_t lowTempCell()
{
  int8_t lowestTemp = 127;
  for (int m = 0; m < NumModulesFound; m++)
  {
    for (int i = 0; i < SENSORS_PER_MODULE; i++)
    {
      if (cellBlockTemp[m][i] < lowestTemp)
      {
        lowestTemp = cellBlockTemp[m][i];
      }
    }
  }
  return lowestTemp;
}


/*****************************************************************************************
  Calculates the highest die temperature of the slave modules, returns value in degree C
*****************************************************************************************/
int8_t highTempDie()
{
  int8_t highestTemp = -128;

  for (int i = 0; i < NumModulesFound; i++)
  {

    if (dieTemperature[i] > highestTemp)
    {
      highestTemp = dieTemperature[i];
    }
  }

  return highestTemp;
}
