
/******************************************************
  Measures cell voltages and temperatures from slaves
******************************************************/
uint8_t measureCellData()
{
  uint32_t watchdogTimer = millis();

  dataReady = 0x00;
  writeAllSlaves(0x13, 0x0001, true); // Set SCANCTRL, SCAN
  //writeAllSlaves(0x13, 0x0041, true); // Set SCANCTRL, SCAN and 32 oversamples

  while (!dataReady) // Wait for data ready
  {
    readAllSlaves(0x13, true); // Read SCANCTRL to check when data is ready to be read

    if ((millis() - watchdogTimer) > 30) // Watchdog timer of 30ms
    {
      if (DebugStatus & DEBUG_ERRORS)
        Serial.println("measureCellData WD timeout");
      break;
    }
  }


  /* if (readData()) // Read and store data
     break;*/
  dataReady = 0x02;
  ;
}
