
/*********************************
  Check for receive buffer error
*********************************/
uint8_t receiveBufferError()
{
  uint8_t check = 0x00;
  uint8_t errorByte = 0x00;

  // Check for receive buffer errors
  digitalWrite(SPI_MAX_CS_PIN, LOW);
  SPI.transfer(0x09); // Read RX_Interrupt_Flags register
  check = SPI.transfer(0x09);
  digitalWrite(SPI_MAX_CS_PIN, HIGH);

  if (!(check == 0x00)) // Error
  {
    errorByte |= receiveBuffer; // Set status byte

    Serial.print("Error ");
    Serial.println(check, HEX);

    // Clear INT flag register
    digitalWrite(SPI_MAX_CS_PIN, LOW);
    SPI.transfer(0x08); // Write RX_Interrupt_Flags register
    SPI.transfer(0x00); // Clear flags
    digitalWrite(SPI_MAX_CS_PIN, HIGH);
  }
  return errorByte;
}
