
/********************
  Slave board setup
********************/
void setupSlaves()
{
  // Setup
  readAllSlaves(0x01, false); // Read ADDRESS of all slaves
  readAllSlaves(0x02, false); // Read STATUS of all slaves
  writeAllSlaves(0x02, 0x0000, false); // Clear STATUS register
  writeAllSlaves(0x10, 0x0040, false); // Set DEVCFG1, ALIVECNTEN
  //setupDone = true;

  uint16_t data = 0x303F | CellsEnabled;
  uint16_t cnt, topcell;
  for (cnt = 0; cnt < MAX_CELLS_PER_MODULE; cnt++)
  {
    if (CellsEnabled & (1 << cnt))
      topcell = cnt;
  }
  // Enable measurement
  writeAllSlaves(0x12, data, true); // Set MEASUREEN, Enable cell voltages // Moduler = 1 to 6
  writeAllSlaves(0x1E, topcell, true); // Set TOPCELL, Top cell for measurement is 6
  writeAllSlaves(0x51, 0x0006, true); // Set DIAGCFG, Enable Die temperature measurement
  writeAllSlaves(0x19, 0x0310, true); // Set ACQCFG, 64x6us settling time before AUX1 measurement
  writeAllSlaves(0x11, 0x7001, true);

  //writeAllSlaves(0x18, 0x1500, true); // Set WATCHDOG, Set watchdg for cell balancing to 5s
  writeAllSlaves(0x13, 0x0001, true); // Set SCANCTRL, SCAN
}
