
/******************************************
   Status Charging Update
 ******************************************/
void updateBatteryChargingStatus()
{

  // Set Over Voltage Status
  if ( CellData.MaxVoltage.Voltage > highVoltageCutOff)
  {
    Status |= statusHighVoltage;
    Status |= statusChargeComplete;
    statusToChargerLED = statusTCLEDClear;
    statusToChargerLED |= statusTCLEDOVFault;
    statusToChargerLED |= statusTCLEDError;
    statusToChargerLED |= statusTCLEDChargeComplete;
    chargerControl();
  }
  if  ((Status & statusChargeComplete) != statusChargeComplete )
  {
   if (BMSSOC > targetSOC)
    {
      Status = statusChargeComplete;
      statusToChargerLED |= statusTCLEDChargeComplete;
      chargerControl();
    }

    if (steadyReading == true)
    {
      // Pause Charging in High Voltage is above Full Charge Voltage
      if ( CellData.MaxVoltage.Voltage > highVoltageFullCharge)
      {
        statusToChargerLED = statusTCLEDChargePaused;
        chargerControl();
        if ((statusToChargerLED == statusTCLEDChargePaused) & (watchdogChargerPauseTimer == 0))
        {
          watchdogChargerPauseTimer = millis();
        }
        if ((CellData.MaxVoltage.Voltage + cellHysteresis < highVoltageFullCharge) && (millis() - watchdogChargerPauseTimer >= 5000))
        {
          statusToChargerLED = statusTCLEDChargeReady;
          chargerControl();
          watchdogChargerPauseTimer = 0;

        } else if ((CellData.MaxVoltage.Voltage + cellHysteresis >= highVoltageFullCharge) && (millis() - watchdogChargerPauseTimer >= 5000))
        {
          Status |= statusChargeComplete;
          statusToChargerLED = statusTCLEDChargeComplete;
          chargerControl();
          watchdogChargerPauseTimer = 0;
        }
      }
    }
    if ((Status & statusChargeComplete) != statusChargeComplete )
    {
      Status |= statusAllowCharging;
    } else
    Status &= ~statusAllowCharging;
  }
}
