
/********************************************************
  Start transmitting the queue and check receive buffer
********************************************************/
void transmitQueue()
{
  uint32_t watchdogTimer = millis();
  uint8_t check = 0;

  // Start transmitting the loaded sequence from the transmit queue
  digitalWrite(SPI_MAX_CS_PIN, LOW);
  SPI.transfer(0xB0); // WR_NXT_LD_Q SPI command byte (write the next load queue)
  digitalWrite(SPI_MAX_CS_PIN, HIGH);

  // Check if a message has been received into the receive buffer
  while (!(check &= 0x12)) // If RX_Status[1] is true, continue. If false, then repeat transaction until true
  {
    // Poll RX_Stop_Status bit
    digitalWrite(SPI_MAX_CS_PIN, LOW);
    SPI.transfer(0x01); // Read RX_Status register
    check = SPI.transfer(0x01); // Read RX_Status register
    digitalWrite(SPI_MAX_CS_PIN, HIGH);

    if ((millis() - watchdogTimer) > 10) // Watchdog timer of 10ms
    {
      Serial.println("transmitQueue WD timeout");
      break ;
    }
  }
  delay(1); // Needed to work, unknown why?
}
