#pragma once
#include <Arduino.h>



#define CELL1 (1<<0)
#define CELL2 (1<<1)
#define CELL3 (1<<2)
#define CELL4 (1<<3)
#define CELL5 (1<<4)
#define CELL6 (1<<5)
#define CELL7 (1<<6)
#define CELL8 (1<<7)
#define CELL9 (1<<8)
#define CELL10 (1<<9)
#define CELL11 (1<<10)
#define CELL12 (1<<11)

#define  ALLCELLS (CELL1| CELL2 | CELL3 | CELL4 | CELL5 | CELL6 | CELL7 | CELL8 | CELL9 | CELL10 | CELL11 | CELL12 )

#define MAX_MODULES 18
#define MAX_CELLS_PER_MODULE 6
#define SENSORS_PER_MODULE  3
#define POLL_FREQUENCY   250  // time between module polls in miliseconds
#define PRINT_FREQUENCY   10  // time between print polls in miliseconds

#define BALANCE_TIME 500
#define EEPROM_VERSION   4


#define DEBUG_TX (1<<0)
#define DEBUG_RX (1<<1)
#define DEBUG_CODE (1<<2)
#define DEBUG_ERRORS (1<<3)

#define DEFAULT_DEBUGING (DEBUG_ERRORS)

typedef struct {
  uint32_t Voltage;
  uint16_t Module;
  uint16_t CellNum;
}Cell;


typedef struct {
  Cell MaxVoltage;
  Cell MinVoltage;
  uint32_t TotalVoltage;
  uint32_t Test;
}StatusStoreD;


typedef struct {

uint8_t version;
uint8_t checksum;
uint8_t NumModules;
uint8_t NumCells;
uint16_t  CellMask;

}EEpromsettings;
